DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Text Box

The TextBox is a UI component that allows users to enter and edit a single line of text. This demo illustrates the following TextBox properties:

  • value
    A value the TextBox displays.

  • placeholder
    An input prompt the TextBox displays when the value is not defined.

  • showClearButton
    Specifies whether to display the button that clears the TextBox value.

  • mode
    Affects a set of keyboard characters displayed on a mobile device when the TextBox gets focus and modifies the component's display style. In this example, the mode is set to "password" so that entered characters are obscured, and the password cannot be read.

  • mask
    An input mask.

  • maskRules
    Custom mask rules.

  • disabled
    Specifies whether the TextBox responds to user interaction.

  • onValueChanged event handler
    Use this function to perform an action when a user enters a new value. In this demo, this function uses the entered value to construct a dummy email address and assign it to another TextBox.

  • valueChangeEvent
    One or several DOM events that trigger the onValueChanged event handler.

  • readOnly
    Prevents users from changing the editor's value.

  • hoverStateEnabled
    Specifies whether the TextBox responds when users long press or hover the mouse pointer over it.

Backend API
$(() => { $('#simple').dxTextBox({ value: 'John Smith', inputAttr: { 'aria-label': 'Name' }, }); $('#placeholder').dxTextBox({ placeholder: 'Enter full name here...', inputAttr: { 'aria-label': 'Full Name' }, }); $('#clear-button').dxTextBox({ value: 'John Smith', showClearButton: true, inputAttr: { 'aria-label': 'Full Name' }, }); $('#password').dxTextBox({ mode: 'password', placeholder: 'Enter password', showClearButton: true, value: 'f5lzKs0T', inputAttr: { 'aria-label': 'Password' }, }); $('#mask').dxTextBox({ mask: '+1 (X00) 000-0000', maskRules: { X: /[02-9]/ }, inputAttr: { 'aria-label': 'Mask' }, }); $('#disabled').dxTextBox({ value: 'John Smith', disabled: true, inputAttr: { 'aria-label': 'Full Name' }, }); $('#full-name').dxTextBox({ value: 'Smith', showClearButton: true, placeholder: 'Enter full name', inputAttr: { 'aria-label': 'Full Name' }, valueChangeEvent: 'keyup', onValueChanged(data) { emailEditor.option('value', `${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`); }, }); const emailEditor = $('#email').dxTextBox({ value: 'smith@corp.com', readOnly: true, inputAttr: { 'aria-label': 'Email' }, hoverStateEnabled: false, }).dxTextBox('instance'); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="index.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="form"> <div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label">Default mode</div> <div class="dx-field-value"> <div id="simple"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">With placeholder</div> <div class="dx-field-value"> <div id="placeholder"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">With clear button</div> <div class="dx-field-value"> <div id="clear-button"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Password mode</div> <div class="dx-field-value"> <div id="password"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Text mask</div> <div class="dx-field-value"> <div id="mask"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Disabled</div> <div class="dx-field-value"> <div id="disabled"></div> </div> </div> </div> <div class="dx-fieldset"> <div class="dx-fieldset-header">Events and API</div> <div class="dx-field"> <div class="dx-field-label">Full Name</div> <div class="dx-field-value"> <div id="full-name"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Email (read only)</div> <div class="dx-field-value"> <div id="email"></div> </div> </div> </div> </div> </div> </body> </html>

If you have technical questions, please create a support ticket in the DevExpress Support Center.
import React, { useCallback, useState } from 'react';
import TextBox, { TextBoxTypes } from 'devextreme-react/text-box';
const nameLabel = { 'aria-label': 'Name' };
const fullNameLabel = { 'aria-label': 'Full Name' };
const passwordLabel = { 'aria-label': 'Password' };
const maskLabel = { 'aria-label': 'Mask' };
const emailLabel = { 'aria-label': 'Email' };
const rules = { X: /[02-9]/ };
function App() {
const [emailValue, setEmailValue] = useState('smith@corp.com');
const valueChanged = useCallback((data: TextBoxTypes.ValueChangedEvent) => {
setEmailValue(`${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`);
}, []);
return (
<div>
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">Default mode</div>
<div className="dx-field-value">
<TextBox
defaultValue="John Smith"
inputAttr={nameLabel}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With placeholder</div>
<div className="dx-field-value">
<TextBox
placeholder="Enter full name here..."
inputAttr={fullNameLabel}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With clear button</div>
<div className="dx-field-value">
<TextBox
defaultValue="John Smith"
inputAttr={nameLabel}
showClearButton={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Password mode</div>
<div className="dx-field-value">
<TextBox
mode="password"
inputAttr={passwordLabel}
placeholder="Enter password"
showClearButton={true}
defaultValue="f5lzKs0T"
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Text mask</div>
<div className="dx-field-value">
<TextBox
mask="+1 (X00) 000-0000"
inputAttr={maskLabel}
maskRules={rules}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Disabled</div>
<div className="dx-field-value">
<TextBox
defaultValue="John Smith"
inputAttr={nameLabel}
disabled={true}
/>
</div>
</div>
</div>
<div className="dx-fieldset">
<div className="dx-fieldset-header">Events and API</div>
<div className="dx-field">
<div className="dx-field-label">Full Name</div>
<div className="dx-field-value">
<TextBox
defaultValue="Smith"
inputAttr={fullNameLabel}
showClearButton={true}
placeholder="Enter full name"
valueChangeEvent="keyup"
onValueChanged={valueChanged}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Email (read only)</div>
<div className="dx-field-value">
<TextBox
readOnly={true}
inputAttr={emailLabel}
hoverStateEnabled={false}
value={emailValue}
/>
</div>
</div>
</div>
</div>
);
}
export default App;
xxxxxxxxxx
import React, { useCallback, useState } from 'react';
import TextBox from 'devextreme-react/text-box';
const nameLabel = { 'aria-label': 'Name' };
const fullNameLabel = { 'aria-label': 'Full Name' };
const passwordLabel = { 'aria-label': 'Password' };
const maskLabel = { 'aria-label': 'Mask' };
const emailLabel = { 'aria-label': 'Email' };
const rules = { X: /[02-9]/ };
function App() {
const [emailValue, setEmailValue] = useState('smith@corp.com');
const valueChanged = useCallback((data) => {
setEmailValue(`${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`);
}, []);
return (
<div>
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">Default mode</div>
<div className="dx-field-value">
<TextBox
defaultValue="John Smith"
inputAttr={nameLabel}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With placeholder</div>
<div className="dx-field-value">
<TextBox
placeholder="Enter full name here..."
inputAttr={fullNameLabel}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With clear button</div>
<div className="dx-field-value">
<TextBox
defaultValue="John Smith"
inputAttr={nameLabel}
showClearButton={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Password mode</div>
<div className="dx-field-value">
<TextBox
mode="password"
inputAttr={passwordLabel}
placeholder="Enter password"
showClearButton={true}
defaultValue="f5lzKs0T"
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Text mask</div>
<div className="dx-field-value">
<TextBox
mask="+1 (X00) 000-0000"
inputAttr={maskLabel}
maskRules={rules}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Disabled</div>
<div className="dx-field-value">
<TextBox
defaultValue="John Smith"
inputAttr={nameLabel}
disabled={true}
/>
</div>
</div>
</div>
<div className="dx-fieldset">
<div className="dx-fieldset-header">Events and API</div>
<div className="dx-field">
<div className="dx-field-label">Full Name</div>
<div className="dx-field-value">
<TextBox
defaultValue="Smith"
inputAttr={fullNameLabel}
showClearButton={true}
placeholder="Enter full name"
valueChangeEvent="keyup"
onValueChanged={valueChanged}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Email (read only)</div>
<div className="dx-field-value">
<TextBox
readOnly={true}
inputAttr={emailLabel}
hoverStateEnabled={false}
value={emailValue}
/>
</div>
</div>
</div>
</div>
);
}
export default App;
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': 'bundles/',
'externals:': 'bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.5/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.5/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.59/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
<html lang="en">
<head></head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
xxxxxxxxxx
This demo illustrates the following TextBox properties:
-
value
A value the TextBox displays. -
placeholder
An input prompt the TextBox displays when the value is not defined. -
showClearButton
Specifies whether to display the button that clears the TextBox value. -
mode
Affects a set of keyboard characters displayed on a mobile device when the TextBox gets focus and modifies the component's display style. In this example, the mode is set to "password" so that entered characters are obscured, and the password cannot be read. -
mask
An input mask. -
maskRules
Custom mask rules. -
disabled
Specifies whether the TextBox responds to user interaction. -
onValueChanged event handler
Use this function to perform an action when a user enters a new value. In this demo, this function uses the entered value to construct a dummy email address and assign it to another TextBox. -
valueChangeEvent
One or several DOM events that trigger the onValueChanged event handler. -
readOnly
Prevents users from changing the editor's value. -
hoverStateEnabled
Specifies whether the TextBox responds when users long press or hover the mouse pointer over it.

<div class="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">Default mode</div>
<div class="dx-field-value">
<dx-text-box
value="John Smith"
[inputAttr]="{ 'aria-label': 'Name' }"
></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">With placeholder</div>
<div class="dx-field-value">
<dx-text-box
placeholder="Enter full name here..."
[inputAttr]="{ 'aria-label': 'Full Name' }"
></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">With clear button</div>
<div class="dx-field-value">
<dx-text-box
value="John Smith"
[showClearButton]="true"
[inputAttr]="{ 'aria-label': 'Name' }"
>
</dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Password mode</div>
<div class="dx-field-value">
<dx-text-box
mode="password"
[inputAttr]="{ 'aria-label': 'Password' }"
placeholder="Enter password"
[showClearButton]="true"
value="f5lzKs0T"
></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Text mask</div>
<div class="dx-field-value">
<dx-text-box
mask="(X00) 000-0000"
[maskRules]="rules"
[inputAttr]="{ 'aria-label': 'Mask' }"
>
</dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Disabled</div>
<div class="dx-field-value">
<dx-text-box
value="John Smith"
[disabled]="true"
[inputAttr]="{ 'aria-label': 'Name' }"
>
</dx-text-box>
</div>
</div>
</div>
<div class="dx-fieldset">
<div class="dx-fieldset-header">Events and API</div>
<div class="dx-field">
<div class="dx-field-label">Full Name</div>
<div class="dx-field-value">
<dx-text-box
value="Smith"
[showClearButton]="true"
placeholder="Enter full name"
valueChangeEvent="keyup"
[inputAttr]="{ 'aria-label': 'Full Name' }"
(onValueChanged)="valueChanged($event)"
></dx-text-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Email (read only)</div>
<div class="dx-field-value">
<dx-text-box
[readOnly]="true"
[hoverStateEnabled]="false"
[inputAttr]="{ 'aria-label': 'Email' }"
[(value)]="emailValue"
></dx-text-box>
</div>
</div>
</div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxTextBoxModule, DxTextBoxTypes } from 'devextreme-angular/ui/text-box';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
styleUrls: [`app/app.component.css`],
selector: 'demo-app',
templateUrl: `app/app.component.html`,
imports: [
DxTextBoxModule,
],
})
export class AppComponent {
emailValue = 'smith@corp.com';
rules = { X: /[02-9]/ };
valueChanged(data: DxTextBoxTypes.ValueChangedEvent) {
this.emailValue = `${data.value.replace(/\s/g, '').toLowerCase()}@corp.com`;
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.25',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.67',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.25/package.json',
'npm:devexpress-gantt@4.1.67/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.0.7"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>